NamingRuleAttribute (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.NamingRuleAttribute interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface NamingRuleAttribute

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface NamingRuleAttribute

extends CmdbMeta

Naming Rules:
  0="parent,attributeMeta"
Persistable:
  true
Table Name:
  NRATTRMETA

Method Summary
`ObjectAttribute` | `getAttributeMeta()`
`boolean` | `getEnabled()`
`NamingRule` | `getParent()`
`boolean` | `hasAttributeMeta()`
`boolean` | `hasEnabled()`
`boolean` | `hasParent()`
`void` | `setAttributeMeta(ObjectAttribute oa)`
`void` | `setEnabled(boolean e)`
`void` | `setParent(NamingRule nr)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    NamingRule getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(NamingRule nr)

### hasParent

    boolean hasParent()

### getAttributeMeta

    ObjectAttribute getAttributeMeta()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttributeMeta

    void setAttributeMeta(ObjectAttribute oa)

### hasAttributeMeta

    boolean hasAttributeMeta()

### getEnabled

    boolean getEnabled()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnabled

    void setEnabled(boolean e)

### hasEnabled

    boolean hasEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD